public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] gentoo-x86 commit in eclass: mono.eclass
@ 2008-03-01 23:49 Saleem Abdulrasool (compnerd)
  0 siblings, 0 replies; 6+ messages in thread
From: Saleem Abdulrasool (compnerd) @ 2008-03-01 23:49 UTC (permalink / raw
  To: gentoo-commits

compnerd    08/03/01 23:49:15

  Modified:             mono.eclass
  Log:
  add documentation to the mono.eclass for manpage generation (bug #210347)

Revision  Changes    Path
1.8                  eclass/mono.eclass

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/mono.eclass?rev=1.8&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/mono.eclass?rev=1.8&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/mono.eclass?r1=1.7&r2=1.8

Index: mono.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/mono.eclass,v
retrieving revision 1.7
retrieving revision 1.8
diff -u -r1.7 -r1.8
--- mono.eclass	27 Jun 2007 01:32:58 -0000	1.7
+++ mono.eclass	1 Mar 2008 23:49:15 -0000	1.8
@@ -1,19 +1,21 @@
-# Copyright 1999-2004 Gentoo Foundation
+# Copyright 1999-2008 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/mono.eclass,v 1.7 2007/06/27 01:32:58 jurek Exp $
-#
-# Original Author : foser <foser@gentoo.org>
-# Purpose: provide common settings and functions for mono and dotnet related
-# packages
-#
-# Bugs to dotnet@gentoo.org
-#
-# mono eclass
+# $Header: /var/cvsroot/gentoo-x86/eclass/mono.eclass,v 1.8 2008/03/01 23:49:15 compnerd Exp $
 
+# @ECLASS: mono.eclass
+# @MAINTAINER:
+# dotnet@gentoo.org
+# @BLURB: common settings and functions for mono and dotnet related
+# packages
+# @DESCRIPTION:
+# The mono eclass contains common environment settings that are useful for
+# dotnet packages.  Currently, it provides no functions, just exports
+# MONO_SHARED_DIR and sets LC_ALL in order to prevent errors during compilation
+# of dotnet packages.
 
 # >=mono-0.92 versions using mcs -pkg:foo-sharp require shared memory, so we set the
 # shared dir to ${T} so that ${T}/.wapi can be used during the install process.
-export MONO_SHARED_DIR=${T}
+export MONO_SHARED_DIR="${T}"
 
 # Building mono, nant and many other dotnet packages is known to fail if LC_ALL
 # variable is not set to C. To prevent this all mono related packages will be



-- 
gentoo-commits@lists.gentoo.org mailing list



^ permalink raw reply	[flat|nested] 6+ messages in thread

* [gentoo-commits] gentoo-x86 commit in eclass: mono.eclass
@ 2008-12-13 13:59 Peter Alfredsen (loki_val)
  0 siblings, 0 replies; 6+ messages in thread
From: Peter Alfredsen (loki_val) @ 2008-12-13 13:59 UTC (permalink / raw
  To: gentoo-commits

loki_val    08/12/13 13:59:02

  Modified:             mono.eclass
  Log:
  Export XDG_CONFIG_HOME="${T}" to avoid sandbox violations.

Revision  Changes    Path
1.9                  eclass/mono.eclass

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/mono.eclass?rev=1.9&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/mono.eclass?rev=1.9&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/mono.eclass?r1=1.8&r2=1.9

Index: mono.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/mono.eclass,v
retrieving revision 1.8
retrieving revision 1.9
diff -u -r1.8 -r1.9
--- mono.eclass	1 Mar 2008 23:49:15 -0000	1.8
+++ mono.eclass	13 Dec 2008 13:59:02 -0000	1.9
@@ -1,6 +1,6 @@
 # Copyright 1999-2008 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/mono.eclass,v 1.8 2008/03/01 23:49:15 compnerd Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/mono.eclass,v 1.9 2008/12/13 13:59:02 loki_val Exp $
 
 # @ECLASS: mono.eclass
 # @MAINTAINER:
@@ -21,3 +21,8 @@
 # variable is not set to C. To prevent this all mono related packages will be
 # build with LC_ALL=C (see bugs #146424, #149817)
 export LC_ALL=C
+
+#Monodevelop-using applications need this to be set or they will try to create config
+#files in the user's ~ dir.
+
+export XDG_CONFIG_HOME="${T}"






^ permalink raw reply	[flat|nested] 6+ messages in thread

* [gentoo-commits] gentoo-x86 commit in eclass: mono.eclass
@ 2008-12-26  0:37 Peter Alfredsen (loki_val)
  0 siblings, 0 replies; 6+ messages in thread
From: Peter Alfredsen (loki_val) @ 2008-12-26  0:37 UTC (permalink / raw
  To: gentoo-commits

loki_val    08/12/26 00:37:47

  Modified:             mono.eclass
  Log:
  Fix bug 83020: Access Violations Arise When Emerging Mono-Related Packages with MONO_AOT_CACHE

Revision  Changes    Path
1.10                 eclass/mono.eclass

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/mono.eclass?rev=1.10&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/mono.eclass?rev=1.10&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/mono.eclass?r1=1.9&r2=1.10

Index: mono.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/mono.eclass,v
retrieving revision 1.9
retrieving revision 1.10
diff -u -r1.9 -r1.10
--- mono.eclass	13 Dec 2008 13:59:02 -0000	1.9
+++ mono.eclass	26 Dec 2008 00:37:47 -0000	1.10
@@ -1,6 +1,6 @@
 # Copyright 1999-2008 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/mono.eclass,v 1.9 2008/12/13 13:59:02 loki_val Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/mono.eclass,v 1.10 2008/12/26 00:37:47 loki_val Exp $
 
 # @ECLASS: mono.eclass
 # @MAINTAINER:
@@ -22,7 +22,12 @@
 # build with LC_ALL=C (see bugs #146424, #149817)
 export LC_ALL=C
 
-#Monodevelop-using applications need this to be set or they will try to create config
-#files in the user's ~ dir.
+# Monodevelop-using applications need this to be set or they will try to create config
+# files in the user's ~ dir.
 
 export XDG_CONFIG_HOME="${T}"
+
+# Fix bug 83020:
+# "Access Violations Arise When Emerging Mono-Related Packages with MONO_AOT_CACHE"
+
+unset MONO_AOT_CACHE






^ permalink raw reply	[flat|nested] 6+ messages in thread

* [gentoo-commits] gentoo-x86 commit in eclass: mono.eclass
@ 2009-01-14 17:17 Peter Alfredsen (loki_val)
  0 siblings, 0 replies; 6+ messages in thread
From: Peter Alfredsen (loki_val) @ 2009-01-14 17:17 UTC (permalink / raw
  To: gentoo-commits

loki_val    09/01/14 17:17:17

  Modified:             mono.eclass
  Log:
  Update multilib_comply to allow for different mv_commands. Also complyize bin dirs.

Revision  Changes    Path
1.12                 eclass/mono.eclass

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/mono.eclass?rev=1.12&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/mono.eclass?rev=1.12&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/mono.eclass?r1=1.11&r2=1.12

Index: mono.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/mono.eclass,v
retrieving revision 1.11
retrieving revision 1.12
diff -u -r1.11 -r1.12
--- mono.eclass	5 Jan 2009 17:12:34 -0000	1.11
+++ mono.eclass	14 Jan 2009 17:17:17 -0000	1.12
@@ -1,6 +1,6 @@
 # Copyright 1999-2008 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/mono.eclass,v 1.11 2009/01/05 17:12:34 loki_val Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/mono.eclass,v 1.12 2009/01/14 17:17:17 loki_val Exp $
 
 # @ECLASS: mono.eclass
 # @MAINTAINER:
@@ -43,14 +43,14 @@
 }
 
 mono_multilib_comply() {
-	local dir finddirs=()
+	local dir finddirs=() mv_command=${mv_command:-mv}
 	if [[ -d "${D}/usr/lib" && "$(get_libdir)" != "lib" ]]
 	then
 		if ! [[ -d "${D}"/usr/"$(get_libdir)" ]]
 		then
 			mkdir "${D}"/usr/"$(get_libdir)" || die "Couldn't mkdir ${D}/usr/$(get_libdir)"
 		fi
-		cp -ar "${D}"/usr/lib/* "${D}"/usr/"$(get_libdir)"/ || die "Moving files into correct libdir failed"
+		${mv_command} "${D}"/usr/lib/* "${D}"/usr/"$(get_libdir)"/ || die "Moving files into correct libdir failed"
 		rm -rf "${D}"/usr/lib
 		for dir in "${D}"/usr/"$(get_libdir)"/pkgconfig "${D}"/usr/share/pkgconfig
 		do
@@ -62,6 +62,17 @@
 				$(find "${finddirs[@]}" -name '*.pc') \
 				|| die "Sedding some sense into pkgconfig files failed."
 		fi
+		if [[ -d "${D}/usr/bin" ]]
+		then
+			for exe in "${D}/usr/bin"/*
+			do
+				if [[ "$(file "${exe}")" == *"shell script text"* ]]
+				then
+					sed -r -i -e ":/lib(/|$): s:/lib(/|$):/$(get_libdir)\1:" \
+						"${exe}" || die "Sedding some sense into ${exe} failed"
+				fi
+			done
+		fi
 
 	fi
 }






^ permalink raw reply	[flat|nested] 6+ messages in thread

* [gentoo-commits] gentoo-x86 commit in eclass: mono.eclass
@ 2009-03-08 15:46 Peter Alfredsen (loki_val)
  0 siblings, 0 replies; 6+ messages in thread
From: Peter Alfredsen (loki_val) @ 2009-03-08 15:46 UTC (permalink / raw
  To: gentoo-commits

loki_val    09/03/08 15:46:54

  Modified:             mono.eclass
  Log:
  Fix mono_multilib_comply for the case where an empty pkgconfig directory is installed.

Revision  Changes    Path
1.13                 eclass/mono.eclass

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/mono.eclass?rev=1.13&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/mono.eclass?rev=1.13&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/mono.eclass?r1=1.12&r2=1.13

Index: mono.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/mono.eclass,v
retrieving revision 1.12
retrieving revision 1.13
diff -u -r1.12 -r1.13
--- mono.eclass	14 Jan 2009 17:17:17 -0000	1.12
+++ mono.eclass	8 Mar 2009 15:46:54 -0000	1.13
@@ -1,6 +1,6 @@
 # Copyright 1999-2008 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/mono.eclass,v 1.12 2009/01/14 17:17:17 loki_val Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/mono.eclass,v 1.13 2009/03/08 15:46:54 loki_val Exp $
 
 # @ECLASS: mono.eclass
 # @MAINTAINER:
@@ -54,14 +54,16 @@
 		rm -rf "${D}"/usr/lib
 		for dir in "${D}"/usr/"$(get_libdir)"/pkgconfig "${D}"/usr/share/pkgconfig
 		do
-			[[ -d "${dir}" ]] && finddirs=( "${finddirs[@]}" "${dir}" )
+
+			if [[ -d "${dir}" && "$(find "${dir}" -name '*.pc')" != "" ]]
+			then
+				pushd "${dir}" &> /dev/null
+				sed  -i -r -e 's:/(lib)([^a-zA-Z0-9]|$):/'"$(get_libdir)"'\2:g' \
+					*.pc \
+					|| die "Sedding some sense into pkgconfig files failed."
+				popd "${dir}" &> /dev/null
+			fi
 		done
-		if ! [[ -z "${finddirs[@]// /}" ]]
-		then
-			sed  -i -r -e 's:/(lib)([^a-zA-Z0-9]|$):/'"$(get_libdir)"'\2:g' \
-				$(find "${finddirs[@]}" -name '*.pc') \
-				|| die "Sedding some sense into pkgconfig files failed."
-		fi
 		if [[ -d "${D}/usr/bin" ]]
 		then
 			for exe in "${D}/usr/bin"/*






^ permalink raw reply	[flat|nested] 6+ messages in thread

* [gentoo-commits] gentoo-x86 commit in eclass: mono.eclass
@ 2011-03-25  9:43 Christoph Mende (angelos)
  0 siblings, 0 replies; 6+ messages in thread
From: Christoph Mende (angelos) @ 2011-03-25  9:43 UTC (permalink / raw
  To: gentoo-commits

angelos     11/03/25 09:43:42

  Modified:             mono.eclass
  Log:
  Support EAPI >=3 in mono.eclass

Revision  Changes    Path
1.14                 eclass/mono.eclass

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/mono.eclass?rev=1.14&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/mono.eclass?rev=1.14&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/mono.eclass?r1=1.13&r2=1.14

Index: mono.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/mono.eclass,v
retrieving revision 1.13
retrieving revision 1.14
diff -u -r1.13 -r1.14
--- mono.eclass	8 Mar 2009 15:46:54 -0000	1.13
+++ mono.eclass	25 Mar 2011 09:43:42 -0000	1.14
@@ -1,6 +1,6 @@
 # Copyright 1999-2008 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/mono.eclass,v 1.13 2009/03/08 15:46:54 loki_val Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/mono.eclass,v 1.14 2011/03/25 09:43:42 angelos Exp $
 
 # @ECLASS: mono.eclass
 # @MAINTAINER:
@@ -35,24 +35,26 @@
 unset MONO_AOT_CACHE
 
 egacinstall() {
+	use !prefix && has "${EAPI:-0}" 0 1 2 && ED="${D}"
 	gacutil -i "${1}" \
-		-root "${D}"/usr/$(get_libdir) \
+		-root "${ED}"/usr/$(get_libdir) \
 		-gacdir /usr/$(get_libdir) \
 		-package ${2:-${GACPN:-${PN}}} \
 		|| die "installing ${1} into the Global Assembly Cache failed"
 }
 
 mono_multilib_comply() {
+	use !prefix && has "${EAPI:-0}" 0 1 2 && ED="${D}"
 	local dir finddirs=() mv_command=${mv_command:-mv}
-	if [[ -d "${D}/usr/lib" && "$(get_libdir)" != "lib" ]]
+	if [[ -d "${ED}/usr/lib" && "$(get_libdir)" != "lib" ]]
 	then
-		if ! [[ -d "${D}"/usr/"$(get_libdir)" ]]
+		if ! [[ -d "${ED}"/usr/"$(get_libdir)" ]]
 		then
-			mkdir "${D}"/usr/"$(get_libdir)" || die "Couldn't mkdir ${D}/usr/$(get_libdir)"
+			mkdir "${ED}"/usr/"$(get_libdir)" || die "Couldn't mkdir ${ED}/usr/$(get_libdir)"
 		fi
-		${mv_command} "${D}"/usr/lib/* "${D}"/usr/"$(get_libdir)"/ || die "Moving files into correct libdir failed"
-		rm -rf "${D}"/usr/lib
-		for dir in "${D}"/usr/"$(get_libdir)"/pkgconfig "${D}"/usr/share/pkgconfig
+		${mv_command} "${ED}"/usr/lib/* "${ED}"/usr/"$(get_libdir)"/ || die "Moving files into correct libdir failed"
+		rm -rf "${ED}"/usr/lib
+		for dir in "${ED}"/usr/"$(get_libdir)"/pkgconfig "${ED}"/usr/share/pkgconfig
 		do
 
 			if [[ -d "${dir}" && "$(find "${dir}" -name '*.pc')" != "" ]]
@@ -64,9 +66,9 @@
 				popd "${dir}" &> /dev/null
 			fi
 		done
-		if [[ -d "${D}/usr/bin" ]]
+		if [[ -d "${ED}/usr/bin" ]]
 		then
-			for exe in "${D}/usr/bin"/*
+			for exe in "${ED}/usr/bin"/*
 			do
 				if [[ "$(file "${exe}")" == *"shell script text"* ]]
 				then






^ permalink raw reply	[flat|nested] 6+ messages in thread

end of thread, other threads:[~2011-03-25  9:43 UTC | newest]

Thread overview: 6+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2008-12-13 13:59 [gentoo-commits] gentoo-x86 commit in eclass: mono.eclass Peter Alfredsen (loki_val)
  -- strict thread matches above, loose matches on Subject: below --
2011-03-25  9:43 Christoph Mende (angelos)
2009-03-08 15:46 Peter Alfredsen (loki_val)
2009-01-14 17:17 Peter Alfredsen (loki_val)
2008-12-26  0:37 Peter Alfredsen (loki_val)
2008-03-01 23:49 Saleem Abdulrasool (compnerd)

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox